Name:          wayland
Epoch:         2
Version:       1.23.1
Release:       1mamba
Summary:       A protocol for a compositor to talk to its clients as well as a C library implementation of that protocol
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wayland.freedesktop.org/
Source:        https://gitlab.freedesktop.org/wayland/wayland/-/releases/%{version}/downloads/wayland-%{version}.tar.xz
License:       MIT, GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END

%description
Wayland is a protocol for a compositor to talk to its clients as well as a C library implementation of that protocol. The compositor can be a standalone display server running on Linux kernel modesetting and evdev input devices, an X application, or a wayland client itself. The clients can be traditional applications, X servers (rootless or fullscreen) or other display servers.
Wayland is intended as a simpler replacement for X, easier to develop and maintain. GNOME and KDE are expected to be ported to it.
Part of the Wayland project is also the Weston reference implementation of a Wayland compositor. Weston can run as an X client or under Linux KMS and ships with a few demo clients. The Weston compositor is a minimal and fast compositor and is suitable for many embedded and mobile use cases.

%package -n lib%{name}
Group:         System/Libraries
Summary:       A protocol for a compositor to talk to its clients as well as a C library implementation of that protocol

%description -n lib%{name}
Wayland is a protocol for a compositor to talk to its clients as well as a C library implementation of that protocol. The compositor can be a standalone display server running on Linux kernel modesetting and evdev input devices, an X application, or a wayland client itself. The clients can be traditional applications, X servers (rootless or fullscreen) or other display servers.
Wayland is intended as a simpler replacement for X, easier to develop and maintain. GNOME and KDE are expected to be ported to it.
Part of the Wayland project is also the Weston reference implementation of a Wayland compositor. Weston can run as an X client or under Linux KMS and ships with a few demo clients. The Weston compositor is a minimal and fast compositor and is suitable for many embedded and mobile use cases.

%package -n lib%{name}-egl
Group:         System/Libraries
Summary:       A protocol for a compositor to talk to its clients as well as a C library implementation of that protocol

%description -n lib%{name}-egl
Wayland is a protocol for a compositor to talk to its clients as well as a C library implementation of that protocol. The compositor can be a standalone display server running on Linux kernel modesetting and evdev input devices, an X application, or a wayland client itself. The clients can be traditional applications, X servers (rootless or fullscreen) or other display servers.
Wayland is intended as a simpler replacement for X, easier to develop and maintain. GNOME and KDE are expected to be ported to it.
Part of the Wayland project is also the Weston reference implementation of a Wayland compositor. Weston can run as an X client or under Linux KMS and ships with a few demo clients. The Weston compositor is a minimal and fast compositor and is suitable for many embedded and mobile use cases.

%package -n lib%{name}-egl-devel
Group:         Development/Libraries
Summary:       Development files for %{name}-egl
Requires:      lib%{name}-egl = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-egl-devel
This package contains libraries and header files for developing applications that use %{name}-egl.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libwayland-client.so.*
%{_libdir}/libwayland-cursor.so.*
%{_libdir}/libwayland-server.so.*
%{_datadir}/wayland/wayland-scanner.mk
%{_datadir}/wayland/wayland.xml
%{_datadir}/wayland/wayland.dtd
%doc COPYING

%files -n lib%{name}-egl
%defattr(-,root,root)
%{_libdir}/libwayland-egl.so.*

%files -n lib%{name}-egl-devel
%defattr(-,root,root)
%{_includedir}/wayland-egl*.h
%{_libdir}/libwayland-egl.so
%{_libdir}/pkgconfig/wayland-egl-backend.pc
%{_libdir}/pkgconfig/wayland-egl.pc

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_bindir}/wayland-scanner
%{_includedir}/wayland-*.h
%exclude %{_includedir}/wayland-egl*.h
%{_libdir}/libwayland-client.so
%{_libdir}/libwayland-cursor.so
%{_libdir}/libwayland-server.so
%{_libdir}/pkgconfig/wayland-client.pc
%{_libdir}/pkgconfig/wayland-cursor.pc
%{_libdir}/pkgconfig/wayland-scanner.pc
%{_libdir}/pkgconfig/wayland-server.pc
%{_datadir}/aclocal/wayland-scanner.m4
%{_mandir}/man3/wl_*.3*
#%doc README

%files apidocs
%defattr(-,root,root)
%dir %{_docdir}/wayland
%dir %{_docdir}/wayland/Wayland
%dir %{_datadir}/doc/wayland/Wayland/en-US
%dir %{_datadir}/doc/wayland/Wayland/en-US/html
%{_docdir}/wayland/Wayland/*/html/*

%changelog
* Sun Aug 25 2024 Automatic Build System <autodist@openmamba.org> 1.23.1-1mamba
- automatic version update by autodist

* Fri May 31 2024 Automatic Build System <autodist@openmamba.org> 1.23.0-1mamba
- automatic version update by autodist

* Wed Apr 05 2023 Automatic Build System <autodist@mambasoft.it> 1.22.0-1mamba
- automatic version update by autodist

* Sat Jul 16 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.21.0-1mamba
- update to 1.21.0

* Sun Dec 26 2021 Automatic Build System <autodist@mambasoft.it> 1.20.0-1mamba
- automatic version update by autodist

* Sat Jan 30 2021 Automatic Build System <autodist@mambasoft.it> 1.19.0-1mamba
- automatic version update by autodist

* Wed Feb 12 2020 Automatic Build System <autodist@mambasoft.it> 1.18.0-1mamba
- automatic version update by autodist

* Thu Mar 21 2019 Automatic Build System <autodist@mambasoft.it> 1.17.0-1mamba
- automatic version update by autodist

* Thu Sep 06 2018 Automatic Build System <autodist@mambasoft.it> 1.16.0-1mamba
- automatic version update by autodist

* Sat Sep 01 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.15.0-4mamba
- bump epoch to 2 to replace Mesa omonimous packages

* Wed Aug 15 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.15.0-3mamba
- bump epoch to replace mesa libwayland-egl

* Mon Aug 13 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.15.0-2mamba
- package libwayland-egl apart because conflicting with current Mesa

* Mon Aug 13 2018 Automatic Build System <autodist@mambasoft.it> 1.15.0-1mamba
- automatic version update by autodist

* Sat Aug 12 2017 Automatic Build System <autodist@mambasoft.it> 1.14.0-1mamba
- automatic version update by autodist

* Sat Sep 24 2016 Automatic Build System <autodist@mambasoft.it> 1.12.0-1mamba
- automatic version update by autodist

* Wed Jun 01 2016 Automatic Build System <autodist@mambasoft.it> 1.11.0-1mamba
- automatic version update by autodist

* Wed Feb 17 2016 Automatic Build System <autodist@mambasoft.it> 1.10.0-1mamba
- automatic version update by autodist

* Wed Feb 10 2016 Automatic Build System <autodist@mambasoft.it> 1.9.93-1mamba
- automatic update by autodist

* Wed Sep 23 2015 Automatic Build System <autodist@mambasoft.it> 1.9.0-1mamba
- automatic version update by autodist

* Sat Jun 13 2015 Automatic Build System <autodist@mambasoft.it> 1.8.1-1mamba
- automatic version update by autodist

* Mon Jun 08 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.0-2mamba
- apidocs: don't require wayland

* Fri Jun 05 2015 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Sun Feb 15 2015 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Wed Jan 28 2015 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Fri Sep 19 2014 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Thu Sep 11 2014 Automatic Build System <autodist@mambasoft.it> 1.5.92-1mamba
- automatic update by autodist

* Wed May 28 2014 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic update by autodist

* Sat Mar 01 2014 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Sat Nov 30 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.0-1mamba
- package created using the webbuild interface
